DECLARE @StartYear as int = CAST(20-FLOOR(CAST(SUBSTRING(DB_NAME(),4,2) AS INT)/80) AS VARCHAR(2)) + CAST(SUBSTRING(DB_NAME(),4,2) AS VARCHAR(2))
DECLARE @AcademicYear VARCHAR(9) = (SELECT CAST(@StartYear AS VARCHAR(4)) + '-' + CAST(@StartYear + 1 AS VARCHAR(4)))
DECLARE @FilterDate DATETIME = CONVERT(date,GETDATE())
DECLARE @NextDayID INT  = 0 -- 0=Mon, 1=Tue, 2 = Wed, ..., 5=Sat, 6=Sun
DECLARE @EndYear as int = @StartYear+1
DECLARE @StartDate Varchar(10) = '07/01/' + cast(@StartYear as varchar(4))
DECLARE @EndDate Varchar(10) = '06/30/' + cast(@EndYear as varchar(4))
DECLARE @WStartDate Varchar(10) = (SELECT CONVERT(varchar,DATEADD(DAY, (DATEDIFF(DAY, @NextDayID, ('07/01/' + cast(@StartYear as varchar(4)))) / 7) * 7 + 7, @NextDayID),101))
DECLARE @WEndDate Varchar(10) = (SELECT CONVERT(varchar,DATEADD(DAY, (DATEDIFF(DAY, @NextDayID, ('06/30/' + cast(@EndYear as varchar(4)))) / 7) * 7 + 4, @NextDayID),101))

SELECT @StartYear as StartYear
		,@AcademicYear as AcademicYear
		,@FilterDate as FilterDate --Today
		,@NextDayID as NextDayID --Used to get day of the week
		,@EndYear as EndYear
		,@StartDate as StartDate
		,@EndDate as EndDate
		,@WStartDate as WeekdayStartDate
		,@WEndDate as WeekdayEndDate
		

